// Library KDSDK
// Doc: KitchenDraw Software Development Kit
// Lib Id: {A7952C70-4EA7-4F3F-908A-AC77A140C842}
#typedef Catalog___v0 _Catalog;
#typedef Catalog___v1 _Catalog;
#typedef Scene___v0 _Scene;
#typedef Scene___v1 _Scene;
#typedef Appli___v0 _Appli;
#typedef Appli___v1 _Appli;

enum CatalogTableId
{
	CATTABLE_CONSTANTS = 0x0,
	CATTABLE_SECTIONS = 0x1,
	CATTABLE_BLOCKS = 0x2,
	CATTABLE_ARTICLES = 0x3,
	CATTABLE_PRICES = 0x4,
	CATTABLE_PURCHASEPRICES = 0x5,
	CATTABLE_REFERENCES = 0x6,
	CATTABLE_TEXTURES = 0x7,
	CATTABLE_MODELS = 0x8,
	CATTABLE_MODELFINISHES = 0x9,
	CATTABLE_MODELHANDLES = 0xA,
	CATTABLE_FAMILIES = 0xB,
	CATTABLE_FAMILYFINISHES = 0xC,
	CATTABLE_2DENTITIES = 0xD,
	CATTABLE_2DPRIMITIVES = 0xE,
	CATTABLE_3DENTITIES = 0xF,
	CATTABLE_3DPRIMITIVES = 0x10,
	CATTABLE_MODELFINISHTYPES = 0x11,
	CATTABLE_FAMILYFINISHTYPES = 0x12,
	CATTABLE_RESOURCES = 0x13,
	CATTABLE_COMPLEMENTARYCAT = 0x14,
	CATTABLE_WIZARDS = 0x15,
	CATTABLE_WIZARDCONTROLS = 0x16,
	CATTABLE_WIZARDRULES = 0x17,
	CATTABLE_WIZARDDATATYPES = 0x18,
	CATTABLE_WIZARDDATA = 0x18
}

enum CatalogUnitId
{
	CATUNIT_MILLIMETRE = 0x0,
	CATUNIT_MILLIMETRE_ONEDEC = 0x8,
	CATUNIT_MILLIMETRE_TWODEC = 0x9,
	CATUNIT_CENTIMETRE_ONEDEC = 0x1,
	CATUNIT_INCHDECIMAL = 0x2,
	CATUNIT_INCHFRACT32 = 0x3,
	CATUNIT_INCHFRACT16 = 0x4,
	CATUNIT_INCHFRACT8 = 0x5
}

enum CatalogInfoId
{
	CATINFO_FILENAME = 0x1C,
	CATINFO_NAME = 0x0,
	CATINFO_CODE = 0x1,
	CATINFO_PASSWORD = 0xA,
	CATINFO_TYPE = 0x6,
	CATINFO_SUBTYPE = 0x8,
	CATINFO_BASECATALOG = 0x7D8,
	CATINFO_LANGUAGE = 0x11,
	CATINFO_UNIT = 0xF,
	CATINFO_PRICETYPE = 0x12,
	CATINFO_CURRENCY = 0x2,
	CATINFO_VATINCLUDED = 0x3F0,
	CATINFO_VATRATE = 0x9,
	CATINFO_CREATIONDATE = 0x13,
	CATINFO_MODIFICATIONDATE = 0x14,
	CATINFO_STARTVALIDITYDATE = 0x15,
	CATINFO_ENDVALIDITYDATE = 0x16,
	CATINFO_SELLINGPRICESWOPW = 0xBBB,
	CATINFO_XML = 0x18,
	CATINFO_ISCOMPLEMENTARYCATALOG = 0x3EF,
	CATINFO_ISBASECATALOG = 0x7DC
}

enum CatalogItemInfo
{
	ITEMINFO_NAME = 0x0,
	ITEMINFO_CODE = 0x1,
	ITEMINFO_DESCRIPTION = 0x2,
	ITEMINFO_SCRIPT = 0x3,
	ITEMINFO_XML = 0x4,
	ITEMINFO_2DENTITYRANK = 0x5,
	ITEMINFO_3DENTITYRANK = 0x6,
	ITEMINFO_HAS2DENTITY = 0x7,
	ITEMINFO_HAS3DENTITY = 0x8
}

enum CatalogClusterRankType
{
	CLUSTER_FROM_ITEM = 0x0
}

enum CatalogType
{
	CATTYPE_NORMAL = 0x0,
	CATTYPE_BASE = 0x1
}

enum ObjectList
{
	OBJLIST_ALLHEADINGS = 0x0,
	OBJLIST_ALLCATALOGUEDOBJECTS = 0xFFFFFFFF,
	OBJLIST_ALLOBJECTS = 0xFFFFFFFE
}

enum ObjectInfo
{
	OBJINFO_CATALOGFILENAME = 0x0,
	OBJINFO_CATALOGNAME = 0x1,
	OBJINFO_CATALOGCODE = 0x2,
	OBJINFO_SECTIONNAME = 0x3,
	OBJINFO_BLOCKCODE = 0x4,
	OBJINFO_NAME = 0x5,
	OBJINFO_CODE = 0x6,
	OBJINFO_KEYREF = 0x7,
	OBJINFO_REF = 0x8,
	OBJINFO_USERREF = 0x9,
	OBJINFO_HANDING = 0xA,
	OBJINFO_HANDINGTYPE = 0xB,
	OBJINFO_DIMX = 0xC,
	OBJINFO_DIMY = 0xD,
	OBJINFO_DIMZ = 0xE,
	OBJINFO_ISDIMXVAR = 0xF,
	OBJINFO_ISDIMYVAR = 0x10,
	OBJINFO_ISDIMZVAR = 0x11,
	OBJINFO_ORDERDIMX = 0x12,
	OBJINFO_ORDERDIMY = 0x13,
	OBJINFO_ORDERDIMZ = 0x14,
	OBJINFO_POSX = 0x15,
	OBJINFO_POSY = 0x16,
	OBJINFO_POSZ = 0x17,
	OBJINFO_ANGLEXY = 0x18,
	OBJINFO_ANGLEYZ = 0x19,
	OBJINFO_ANGLEZX = 0x1A,
	OBJINFO_DISTLEFTWALL = 0x1B,
	OBJINFO_DISTRIGHTWALL = 0x1C,
	OBJINFO_UNITTEXT = 0x1D,
	OBJINFO_UNITVALUE = 0x1E,
	OBJINFO_ID = 0x1F,
	OBJINFO_TYPE = 0x20,
	OBJINFO_COMPONENTTYPE = 0x21,
	OBJINFO_NUMBER = 0x22,
	OBJINFO_QUANTITY = 0x23,
	OBJINFO_LENGTH = 0x24,
	OBJINFO_AREA = 0x25,
	OBJINFO_LEFTCUTANGLE = 0x26,
	OBJINFO_RIGHTCUTANGLE = 0x27,
	OBJINFO_LEFTCUTLENGTH = 0x28,
	OBJINFO_RIGHTCUTLENGTH = 0x29,
	OBJINFO_LAYER = 0x2A,
	OBJINFO_PRICE = 0x2B,
	OBJINFO_GROUPNAME = 0x2C,
	OBJINFO_GROUPNUMBER = 0x2D,
	OBJINFO_PRIORITY = 0x2E,
	OBJINFO_PAGE = 0x2F,
	OBJINFO_VATTYPE = 0x30,
	OBJINFO_DESCRIPTION = 0x31,
	OBJINFO_COMMENT_CUSTOMER = 0x32,
	OBJINFO_COMMENT_SUPPLIER = 0x33,
	OBJINFO_COMMENT_FITTER = 0x34,
	OBJINFO_XML = 0x35,
	OBJINFO_VALUE = 0x36,
	OBJINFO_ON_OR_UNDER = 0x37,
	OBJINFO_ON_OR_UNDER_TEXT = 0xB2,
	OBJINFO_PRICETYPE = 0x38,
	OBJINFO_PRICEPERQUANTITY = 0x39,
	OBJINFO_ISVALID = 0x3A,
	OBJINFO_ISPLACED = 0x3B,
	OBJINFO_ISSELECTED = 0x3C,
	OBJINFO_ISACTIVE = 0x3D,
	OBJINFO_ISOPEN = 0x3E,
	OBJINFO_SUPPLIERID = 0x3F,
	OBJINFO_MODELNAME = 0x40,
	OBJINFO_MODELCODE = 0x41,
	OBJINFO_MODELPRICECOLUMN = 0x42,
	OBJINFO_MODELFINISHTYPE = 0x43,
	OBJINFO_MODELFINISHNAME = 0x53,
	OBJINFO_MODELFINISHCODE = 0x63,
	OBJINFO_FAMILYFINISHTYPE = 0x73,
	OBJINFO_FAMILYFINISHNAME = 0x83,
	OBJINFO_FAMILYFINISHCODE = 0x93,
	OBJINFO_TEXTURE = 0xA3,
	OBJINFO_COMPONENTLEVEL = 0xAB,
	OBJINFO_BASEPRICE = 0xAC,
	OBJINFO_GROSSSELLINGPRICE = 0xAD,
	OBJINFO_FAMILYNAME = 0xAE,
	OBJINFO_FAMILYCODE = 0xAF,
	OBJINFO_SECTIONCODE = 0xB0,
	OBJINFO_TOPIC = 0xB1,
	OBJINFO_OCCURRENCESNB = 0xB3,
	OBJINFO_ISGRAPHIC = 0xB4,
	OBJINFO_ECOPARTPRICE = 0xB5,
	OBJINFO_GENERICRANK = 0xB6,
	OBJINFO_HEADINGRANK = 0xB7,
	OBJINFO_GENERICNAME = 0xB8,
	OBJINFO_HEADINGNAME = 0xB9,
	OBJINFO_ISQUOTED = 0xBA,
	OBJINFO_TOBEORDERED = 0xBB,
	OBJINFO_CATALOG_DIMX = 0xBC,
	OBJINFO_CATALOG_DIMY = 0xBD,
	OBJINFO_CATALOG_DIMZ = 0xBE,
	OBJINFO_DISCOUNTVALUE = 0xBF,
	OBJINFO_DISCOUNTTYPE = 0xC0,
	OBJINFO_DISCOUNTABSOLUTE = 0xC1,
	OBJINFO_POINTVALUE = 0xC2,
	OBJINFO_BOTTOMSALESCOEFF = 0xC3,
	OBJINFO_DEFAULTSALESCOEFF = 0xC4,
	OBJINFO_PURCHASECOEFF = 0xC5,
	OBJINFO_WIZARDNAME = 0xC6,
	OBJINFO_WIZARDCODE = 0xC7,
	OBJINFO_DIMX_NUM = 0xC8,
	OBJINFO_DIMX_DEN = 0xC9,
	OBJINFO_DIMX_FIX = 0xCA,
	OBJINFO_DIMY_NUM = 0xCB,
	OBJINFO_DIMY_DEN = 0xCC,
	OBJINFO_DIMY_FIX = 0xCD,
	OBJINFO_DIMZ_NUM = 0xCE,
	OBJINFO_DIMZ_DEN = 0xCF,
	OBJINFO_DIMZ_FIX = 0xD0,
	OBJINFO_POSX_NUM = 0xD1,
	OBJINFO_POSX_DEN = 0xD2,
	OBJINFO_POSX_FIX = 0xD3,
	OBJINFO_POSY_NUM = 0xD4,
	OBJINFO_POSY_DEN = 0xD5,
	OBJINFO_POSY_FIX = 0xD6,
	OBJINFO_POSZ_NUM = 0xD7,
	OBJINFO_POSZ_DEN = 0xD8,
	OBJINFO_POSZ_FIX = 0xD9
}

enum SceneInfo
{
	SCNINFO_AUTO_2D_DIMENSIONS = 0x0,
	SCNINFO_AUTO_ELEVATION_DIMENSIONS = 0x1,
	SCNINFO_UNITTEXT = 0x2,
	SCNINFO_UNITVALUE = 0x3,
	SCNINFO_LASTOBJDROPPOSX = 0x4,
	SCNINFO_LASTOBJDROPPOSY = 0x5,
	SCNINFO_LASTOBJDROPPOSZ = 0x6,
	SCNINFO_LASTOBJDROPANGLEXY = 0x7,
	SCNINFO_DRAWING_SURFACE_2D = 0x8,
	SCNINFO_DRAWING_SURFACE_ELEVATION = 0x9,
	SCNINFO_DRAWING_SURFACE_3D = 0xA,
	SCNINFO_DRAWING_OUTLINE_2D = 0xB,
	SCNINFO_DRAWING_OUTLINE_ELEVATION = 0xC,
	SCNINFO_DRAWING_OUTLINE_3D = 0xD,
	SCNINFO_DRAWING_SHADOWS_2D = 0xE,
	SCNINFO_DRAWING_SHADOWS_ELEVATION = 0xF,
	SCNINFO_DRAWING_SHADOWS_3D = 0x10,
	SCNINFO_FILENAMEWITHPATH = 0x11,
	SCNINFO_LANGUAGECODE = 0x12,
	SCNINFO_CURRENCYCODE = 0x13
}

enum HeadingInfo
{
	HDRINFO_DISCOUNTPERCENTS = 0x0,
	HDRINFO_DISCOUNTVALUE = 0x1
}

enum HandingType
{
	HANDINGTYPE_NONE = 0x0,
	HANDINGTYPE_LEFT = 0x1,
	HANDINGTYPE_RIGHT = 0x2
}

enum ViewMode
{
	VIEWMODE_2D = 0x0,
	VIEWMODE_ELEVATION = 0x1,
	VIEWMODE_REALELEVATION = 0x2,
	VIEWMODE_3D = 0x3,
	VIEWMODE_REAL3D = 0x4,
	VIEWMODE_PHOTO3D = 0x5,
	VIEWMODE_FINALPHOTO3D = 0x6,
	VIEWMODE_DXREAL3D = 0x7,
	VIEWMODE_DXPHOTO3D = 0x8
}

enum ObjectType
{
	OBJTYPE_STANDARD = 0x0,
	OBJTYPE_DOOR = 0x1,
	OBJTYPE_WINDOW = 0x2,
	OBJTYPE_RECESS = 0x3,
	OBJTYPE_PLAN = 0x4,
	OBJTYPE_PLANARTICLE = 0x5,
	OBJTYPE_LINEAR = 0x6,
	OBJTYPE_WALL = 0x7,
	OBJTYPE_TEXT = 0x8,
	OBJTYPE_LINEARDIMENSION = 0x9,
	OBJTYPE_ARROW = 0xA,
	OBJTYPE_PLANNINGAREA = 0xB,
	OBJTYPE_ELEVATIONSYMBOL = 0xC,
	OBJTYPE_ANGULARDIMENSION = 0xD,
	OBJTYPE_DXF3D = 0xE,
	OBJTYPE_WMF = 0xF,
	OBJTYPE_GROUP = 0x10,
	OBJTYPE_OPEN = 0x11,
	OBJTYPE_METAFILE = 0x12,
	OBJTYPE_DXF2D = 0x13,
	OBJTYPE_BMP = 0x14,
	OBJTYPE_ENVELOPE = 0x15,
	OBJTYPE_TECHNICALSYMBOL = 0x16,
	OBJTYPE_LIGHTSOURCE = 0x17,
	OBJTYPE_TILE = 0x18,
	OBJTYPE_RADIUSDIMENSION = 0x19
}

enum ComponentType
{
	COMPTYPE_NOTACOMPONENT = 0xFFFFFFFF,
	COMPTYPE_OPTION = 0x0,
	COMPTYPE_INTERMEDIATE = 0x1,
	COMPTYPE_CARCASEPANEL = 0x2,
	COMPTYPE_FRONTPANEL = 0x3,
	COMPTYPE_PROFILE = 0x4,
	COMPTYPE_PART = 0x5,
	COMPTYPE_LIQUIDPRODUCT = 0x6,
	COMPTYPE_LABOR = 0x7,
	COMPTYPE_SUBSET = 0x8
}

enum SceneExtraInfo
{
	SCNEXTINFO_COMMENT = 0x0,
	SCNEXTINFO_CUSTOM = 0x1
}

enum SceneExportType
{
	SCNBOMEXPTYPE_ALL = 0x0,
	SCNBOMEXPTYPE_PANCUTLIST = 0x1
}

enum ObjectExtraInfo
{
	OBJEXTINFO_COMMENT = 0x0,
	OBJEXTINFO_CUSTOM = 0x1
}

enum ShapePointProperty
{
	SHAPEPOINTPROP_SELECTED = 0x1,
	SHAPEPOINTPROP_ARC = 0x2
}

enum AltitudeType
{
	ALTITUDETYPE_DEFAULT = 0xFFFFFFFF,
	ALTITUDETYPE_ON = 0x0,
	ALTITUDETYPE_UNDER = 0x1
}

enum AppCallParamId
{
	APPCALLPARAM_ORDERDIRECTORY = 0x1,
	APPCALLPARAM_ORDERFILENAME = 0x2,
	APPCALLPARAM_ORDERWEEK = 0x3,
	APPCALLPARAM_ORDERYEAR = 0x4,
	APPCALLPARAM_ACTIVEOBJECT = 0x5,
	APPCALLPARAM_SUPPLIERID = 0x6,
	APPCALLPARAM_BUFFER = 0x7,
	APPCALLPARAM_BUFFERSIZE = 0x8,
	APPCALLPARAM_HWND = 0x9
}

enum AppControlKey
{
	CK_SHIFT = 0x1,
	CK_CONTROL = 0x2,
	CK_MENU = 0x4
}

enum AppKeyCode
{
	VK_0 = 0x30,
	VK_1 = 0x31,
	VK_2 = 0x32,
	VK_3 = 0x33,
	VK_4 = 0x34,
	VK_5 = 0x35,
	VK_6 = 0x36,
	VK_7 = 0x37,
	VK_8 = 0x38,
	VK_9 = 0x39,
	VK_A = 0x41,
	VK_B = 0x42,
	VK_C = 0x43,
	VK_D = 0x44,
	VK_E = 0x45,
	VK_F = 0x46,
	VK_G = 0x47,
	VK_H = 0x48,
	VK_I = 0x49,
	VK_J = 0x4A,
	VK_K = 0x4B,
	VK_L = 0x4C,
	VK_M = 0x4D,
	VK_N = 0x4E,
	VK_O = 0x4F,
	VK_P = 0x50,
	VK_Q = 0x51,
	VK_R = 0x52,
	VK_S = 0x53,
	VK_T = 0x54,
	VK_U = 0x55,
	VK_V = 0x56,
	VK_W = 0x57,
	VK_X = 0x58,
	VK_Y = 0x59,
	VK_Z = 0x5A,
	VK_NUMPAD0 = 0x60,
	VK_NUMPAD1 = 0x61,
	VK_NUMPAD2 = 0x62,
	VK_NUMPAD3 = 0x63,
	VK_NUMPAD4 = 0x64,
	VK_NUMPAD5 = 0x65,
	VK_NUMPAD6 = 0x66,
	VK_NUMPAD7 = 0x67,
	VK_NUMPAD8 = 0x68,
	VK_NUMPAD9 = 0x69,
	VK_MULTIPLY = 0x6A,
	VK_ADD = 0x6B,
	VK_SEPARATOR = 0x6C,
	VK_SUBTRACT = 0x6D,
	VK_DECIMAL = 0x6E,
	VK_DIVIDE = 0x6F,
	VK_F1 = 0x70,
	VK_F2 = 0x71,
	VK_F3 = 0x72,
	VK_F4 = 0x73,
	VK_F5 = 0x74,
	VK_F6 = 0x75,
	VK_F7 = 0x76,
	VK_F8 = 0x77,
	VK_F9 = 0x78,
	VK_F10 = 0x79,
	VK_F11 = 0x7A,
	VK_F12 = 0x7B,
	VK_F13 = 0x7C,
	VK_F14 = 0x7D,
	VK_F15 = 0x7E,
	VK_F16 = 0x7F,
	VK_F17 = 0x80,
	VK_F18 = 0x81,
	VK_F19 = 0x82,
	VK_F20 = 0x83,
	VK_F21 = 0x84,
	VK_F22 = 0x85,
	VK_F23 = 0x86,
	VK_F24 = 0x87
}

// {0ED2ED26-CE5D-4C0D-8C2F-B25BEA2884F2}
extern _IID__Catalog as GUID;

interface _Catalog : IDispatch // [dispatchable][nonextensible][dual][hidden]
{
	declare virtual FileNew(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* BaseCatalogFileName, /*[in][out]*/long* Measurement, /*[in][out]*/long* CatalogType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileLoad(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* Password, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileSave(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportImage(/*[in][out]*/long* SessionId, /*[in][out]*/long* ArticleRank, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportModelImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* FinishTypesList, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportFamilyFinishImage(/*[in][out]*/long* SessionId, /*[in][out]*/long* FinishTypeRank, /*[in][out]*/long* FinishRank, /*[in][out]*/long* TextureRank, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/VARIANT* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportModelFinishImage(/*[in][out]*/long* SessionId, /*[in][out]*/long* FinishTypeRank, /*[in][out]*/long* FinishRank, /*[in][out]*/long* TextureRank, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/VARIANT* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportResource(/*[in][out]*/long* SessionId, /*[in][out]*/long* LineRank, /*[in][out]*/BSTR* ResourceFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportPrices(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* PricesFileName, /*[in][out]*/VARIANT_BOOL* WithBlockName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileImportPrices(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* PricesFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportResourceFromName(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ResourceFileName, /*[in][out]*/VARIANT_BOOL* IfNewerOnly, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileImportResource(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ResourceFileName, /*[in][out]*/VARIANT_BOOL* IfNewerOnly, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual IsLoaded(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual SetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* InfoValue, /*[in][out]*/long* InfoType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual TableAddLines(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* NbLines, long* ppRetval),HRESULT;
	declare virtual TableInsertLines(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/long* NbLines, long* ppRetval),HRESULT;
	declare virtual TableDeleteLines(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/long* NbLines, long* ppRetval),HRESULT;
	declare virtual TableGetLineInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/long* InfoColumnRank, BSTR* ppRetval),HRESULT;
	declare virtual TableSetLineInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/long* InfoColumnRank, /*[in][out]*/BSTR* InfoValue, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual TableGetLine(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, BSTR* ppRetval),HRESULT;
	declare virtual TableGetLineRankFromCode(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/BSTR* Code, /*[in][out]*/VARIANT_BOOL* BackScan, long* ppRetval),HRESULT;
	declare virtual TableGetLineRankFromName(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, /*[in][out]*/long* LineRank, /*[in][out]*/BSTR* Name, /*[in][out]*/VARIANT_BOOL* BackScan, long* ppRetval),HRESULT;
	declare virtual TableGetLinesNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* ClusterRank, long* ppRetval),HRESULT;
	declare virtual TableGetClusterRankFromLineRank(/*[in][out]*/long* SessionId, /*[in][out]*/long* Table, /*[in][out]*/long* LineRank, long* ppRetval),HRESULT;
}
// {FD8B1A33-9C10-461F-8559-EC7994559CA7}
extern _CLSID_Catalog as GUID; // [cancreate]
// interface _Catalog

// {F87CBD4C-3A39-4BFB-B6F9-AF4B4D9BBA3D}
extern _IID__Scene as GUID;

interface _Scene : IDispatch // [dispatchable][nonextensible][dual][hidden]
{
	declare virtual FileNew(/*[in][out]*/long* SessionId, /*[in][out]*/long* Measurement, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* WallsHeight, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileLoad(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SceneFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileSave(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SceneFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileLoadCatalogScene(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileSaveCatalogScene(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SceneFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportBOMList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ListFileName, /*[in][out]*/long* ListType, /*[in][out]*/BSTR* FormatName, /*[in][out]*/VARIANT_BOOL* Factorized, /*[in][out]*/VARIANT_BOOL* Concatenate, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportXML(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ListFileName, /*[in][out]*/VARIANT_BOOL* Factorized, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportOrderFile(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SupplierId, /*[in][out]*/long* DeliveryYear, /*[in][out]*/long* DeliveryWeek, /*[in][out]*/BSTR* OrderFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportView(/*[in][out]*/long* SessionId, /*[in][out]*/long* HAngle, /*[in][out]*/long* VAngle, /*[in][out]*/VARIANT_BOOL* AdjustedZoom, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportSelectionImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SelectionImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportActiveObjectImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SelectionImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportSelectionOutlineImage(/*[in][out]*/long* SessionId, /*[in][out]*/long* PixelXRot, /*[in][out]*/long* PixelYRot, /*[in][out]*/double* Angle, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportSelectionMap(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileGetPointedObject(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, long* ppRetval),HRESULT;
	declare virtual FileExportCatalogImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportCatalogBlockImages(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* BlocksList, /*[in][out]*/long* HandingType, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportCatalogOutlineImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/double* Angle, /*[in][out]*/long* Opened, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportCatalogImageFromScript(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* Script, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileExportImageFromScript(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* Script, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/long* X, /*[in][out]*/long* Y, /*[in][out]*/long* Altitude, /*[in][out]*/long* AltitudeType, /*[in][out]*/double* OXYAngle, /*[in][out]*/long* Opened, /*[in][out]*/VARIANT_BOOL* AdjustedZoom, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileLoadCatalog(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* Password, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileGetSelectionPoints(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, BSTR* ppRetval),HRESULT;
	declare virtual FileGetSelectionOutlinePoints(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelXRot, /*[in][out]*/long* PixelYRot, /*[in][out]*/double* Angle, BSTR* ppRetval),HRESULT;
	declare virtual FileGetCatalogOutlinePoints(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/double* Angle, /*[in][out]*/long* Opened, BSTR* ppRetval),HRESULT;
	declare virtual EditUndo(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditIsUndoPossible(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditIsRedoPossible(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditDelete(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditDeleteActiveObjectAndSelectPrevious(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditPlaceObjectPixel(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX, /*[in][out]*/long* PixelY, /*[in][out]*/long* Altitude, /*[in][out]*/long* AltitudeType, /*[in][out]*/double* OXYAngle, /*[in][out]*/long* Opened, /*[in][out]*/long* Percussion, /*[in][out]*/long* Pool, long* ppRetval),HRESULT;
	declare virtual EditPlaceObject(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/long* X, /*[in][out]*/long* Y, /*[in][out]*/long* Altitude, /*[in][out]*/long* AltitudeType, /*[in][out]*/double* OXYAngle, /*[in][out]*/long* Opened, /*[in][out]*/long* Percussion, /*[in][out]*/long* Pool, long* ppRetval),HRESULT;
	declare virtual EditPlaceLinearObject(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/long* Place, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditReplaceSelection(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Width, /*[in][out]*/long* Depth, /*[in][out]*/long* Height, /*[in][out]*/long* Opened, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditSelectAll(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditReverseSelection(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditSelectFromRectangle(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX1, /*[in][out]*/long* PixelY1, /*[in][out]*/long* PixelX2, /*[in][out]*/long* PixelY2, /*[in][out]*/long* MultipleSelection, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditGetSceneX(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX, long* ppRetval),HRESULT;
	declare virtual EditGetSceneY(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelY, long* ppRetval),HRESULT;
	declare virtual EditGetMagneticPoint(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX, /*[in][out]*/long* PixelY, /*[in][out]*/long* MagneticMargin, BSTR* ppRetval),HRESULT;
	declare virtual EditGetPixelX(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* SceneX, long* ppRetval),HRESULT;
	declare virtual EditGetPixelY(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* SceneY, long* ppRetval),HRESULT;
	declare virtual EditCopyTable(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual EditIsInTableView(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionGetObjectsNb(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SelectionGetObjectId(/*[in][out]*/long* SessionId, /*[in][out]*/long* SelectedObjectRank, long* ppRetval),HRESULT;
	declare virtual SelectionMove(/*[in][out]*/long* SessionId, /*[in][out]*/long* SceneXOrig, /*[in][out]*/long* SceneYOrig, /*[in][out]*/long* SceneZOrig, /*[in][out]*/double* OXYAngleOrig, /*[in][out]*/double* OYZAngleOrig, /*[in][out]*/double* OZXAngleOrig, /*[in][out]*/long* SceneXExt, /*[in][out]*/long* SceneYExt, /*[in][out]*/long* SceneZExt, /*[in][out]*/double* OXYAngleExt, /*[in][out]*/double* OYZAngleExt, /*[in][out]*/double* OZXAngleExt, /*[in][out]*/double* Distance, /*[in][out]*/long* Duplicate, /*[in][out]*/long* Percussion, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionPixelMove(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelXOrig, /*[in][out]*/long* PixelYOrig, /*[in][out]*/double* OXYAngleOrig, /*[in][out]*/long* PixelXExt, /*[in][out]*/long* PixelYExt, /*[in][out]*/double* OXYAngleExt, /*[in][out]*/double* Distance, /*[in][out]*/long* Duplicate, /*[in][out]*/long* Percussion, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionRotate(/*[in][out]*/long* SessionId, /*[in][out]*/double* OXYAngle, /*[in][out]*/double* OYZAngle, /*[in][out]*/double* OZXAngle, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionDimension(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionOpen(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionClose(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionHide(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionShow(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SelectionGetList(/*[in][out]*/long* SessionId, BSTR* ppRetval),HRESULT;
	declare virtual SelectionSetList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SelectionList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetKeywordInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Keyword, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetKeywordInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Value, /*[in][out]*/BSTR* Keyword, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Value, /*[in][out]*/long* InfoType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetCustomInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* InfoKey, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetCustomInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Value, /*[in][out]*/BSTR* InfoKey, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetScript(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetScript(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Script, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetParentId(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, long* ppRetval),HRESULT;
	declare virtual ObjectGetChildrenNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* AllComponentLevels, long* ppRetval),HRESULT;
	declare virtual ObjectGetChildId(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* ChildRank, /*[in][out]*/long* AllComponentLevels, long* ppRetval),HRESULT;
	declare virtual ObjectSelect(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* MultipleSelection, long* ppRetval),HRESULT;
	declare virtual ObjectGetFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* FinishesList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectModifyFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* ModifiedLineRank, /*[in][out]*/long* NewFinish, /*[in][out]*/long* Modify, BSTR* ppRetval),HRESULT;
	declare virtual ObjectGetFinishCodeAndName(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* FinishTypePos, /*[in][out]*/long* FinishPos, BSTR* ppRetval),HRESULT;
	declare virtual ObjectExportImage(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetShape(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSetShape(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* ShapePointsList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectWizard(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectValueToIncrements(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* Value, long* ppRetval),HRESULT;
	declare virtual ObjectIncrementsToValue(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* IncrementsNumber, BSTR* ppRetval),HRESULT;
	declare virtual ObjectIsAgainstWall(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* WallId, /*[in][out]*/long* MaxDistance, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetKeywordsText(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* KeywordText, /*[in][out]*/BSTR* ImagesDir, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, BSTR* ppRetval),HRESULT;
	declare virtual ObjectSubstituteAndFileExportView(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/VARIANT_BOOL* AdjustedZoom, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectGetHostId(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, long* ppRetval),HRESULT;
	declare virtual ObjectGetHostedNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* AllComponentLevels, long* ppRetval),HRESULT;
	declare virtual ObjectGetHostedId(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* HostedRank, /*[in][out]*/long* AllComponentLevels, long* ppRetval),HRESULT;
	declare virtual ObjectGetWallId(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/long* Gap, long* ppRetval),HRESULT;
	declare virtual ZoomEnlarge(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX1, /*[in][out]*/long* PixelY1, /*[in][out]*/long* PixelX2, /*[in][out]*/long* PixelY2, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomReduce(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomInitial(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomAdjusted(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomFromPoint(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX, /*[in][out]*/long* PixelY, /*[in][out]*/long* ZoomPercentage, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomMove(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* StartPixelX, /*[in][out]*/long* StartPixelY, /*[in][out]*/long* EndPixelX, /*[in][out]*/long* EndPixelY, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ZoomPixel(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewSetMode(/*[in][out]*/long* SessionId, /*[in][out]*/long* ViewMode, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewGetMode(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewGetObserverHAngle(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewGetObserverVAngle(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewSetObserverHAngle(/*[in][out]*/long* SessionId, /*[in][out]*/long* Angle, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewSetObserverVAngle(/*[in][out]*/long* SessionId, /*[in][out]*/long* Angle, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewGetObserverX(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewGetObserverY(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewGetObserverZ(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual ViewSetObserverX(/*[in][out]*/long* SessionId, /*[in][out]*/long* Value, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewSetObserverY(/*[in][out]*/long* SessionId, /*[in][out]*/long* Value, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewSetObserverZ(/*[in][out]*/long* SessionId, /*[in][out]*/long* Value, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ViewRefresh(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneBuild(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetKeywordInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Keyword, BSTR* ppRetval),HRESULT;
	declare virtual SceneSetKeywordInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Value, /*[in][out]*/BSTR* Keyword, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetCustomInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* InfoKey, BSTR* ppRetval),HRESULT;
	declare virtual SceneSetCustomInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Value, /*[in][out]*/BSTR* InfoKey, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetScript(/*[in][out]*/long* SessionId, /*[in][out]*/long* Components, BSTR* ppRetval),HRESULT;
	declare virtual SceneGetObjectsNb(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SceneGetObjectId(/*[in][out]*/long* SessionId, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual SceneGetGenericsNb(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SceneDeleteGeneric(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneAddGeneric(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneInsertGeneric(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, /*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetShapesNb(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SceneAddShape(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* ShapePointsList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetShape(/*[in][out]*/long* SessionId, /*[in][out]*/long* ShapeRank, BSTR* ppRetval),HRESULT;
	declare virtual SceneSetShape(/*[in][out]*/long* SessionId, /*[in][out]*/long* ShapeRank, /*[in][out]*/BSTR* ShapePointsList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneDeleteShape(/*[in][out]*/long* SessionId, /*[in][out]*/long* ShapeRank, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneDeleteAllShapes(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetActiveShapeRank(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SceneSetActiveShapeRank(/*[in][out]*/long* SessionId, /*[in][out]*/long* ShapeRank, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual SceneSetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Value, /*[in][out]*/long* InfoType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneValueToIncrements(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Value, long* ppRetval),HRESULT;
	declare virtual SceneIncrementsToValue(/*[in][out]*/long* SessionId, /*[in][out]*/long* IncrementsNumber, BSTR* ppRetval),HRESULT;
	declare virtual SceneGetKeywordsText(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* KeywordsText, BSTR* ppRetval),HRESULT;
	declare virtual SceneUpdatePrices(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetKeywordsTextFromFiles(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* KeywordsTextFile, BSTR* ppRetval),HRESULT;
	declare virtual GenericGetCatalogFileName(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, BSTR* ppRetval),HRESULT;
	declare virtual GenericSetCatalogFileName(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, /*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GenericGetFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, BSTR* ppRetval),HRESULT;
	declare virtual GenericSetFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, /*[in][out]*/BSTR* FinishesList, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GenericModifyFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/long* ModifiedLineRank, /*[in][out]*/long* NewFinish, /*[in][out]*/long* Modify, BSTR* ppRetval),HRESULT;
	declare virtual GenericGetExpandedFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/long* GenericRank, /*[in][out]*/BSTR* FinishesConfig, BSTR* ppRetval),HRESULT;
	declare virtual HeadingGetObjectsNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, long* ppRetval),HRESULT;
	declare virtual HeadingGetObjectId(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual HeadingGetObjectOccurrencesNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual HeadingGetParentsNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, long* ppRetval),HRESULT;
	declare virtual HeadingGetParentId(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual HeadingGetParentOccurrencesNb(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual HeadingGetArticlesTable(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/BSTR* HeaderText, /*[in][out]*/BSTR* RowText, /*[in][out]*/BSTR* AltRowText, /*[in][out]*/BSTR* FooterText, /*[in][out]*/BSTR* ImagesDir, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, BSTR* ppRetval),HRESULT;
	declare virtual HeadingGetGenericFinishesTable(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/BSTR* HeaderText, /*[in][out]*/BSTR* RowText, /*[in][out]*/BSTR* AltRowText, /*[in][out]*/BSTR* FooterText, BSTR* ppRetval),HRESULT;
	declare virtual HeadingGetArticlesTableFromFiles(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/BSTR* HeaderTextFile, /*[in][out]*/BSTR* RowTextFile, /*[in][out]*/BSTR* AltRowTextFile, /*[in][out]*/BSTR* FooterTextFile, /*[in][out]*/BSTR* ImagesDir, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, BSTR* ppRetval),HRESULT;
	declare virtual HeadingGetGenericFinishesTableFromFiles(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/BSTR* HeaderTextFile, /*[in][out]*/BSTR* RowTextFile, /*[in][out]*/BSTR* AltRowTextFile, /*[in][out]*/BSTR* FooterTextFile, BSTR* ppRetval),HRESULT;
	declare virtual HeadingGetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual HeadingSetInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* HeadingRank, /*[in][out]*/BSTR* Value, /*[in][out]*/long* InfoType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SupplierGetObjectsNb(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SupplierId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, long* ppRetval),HRESULT;
	declare virtual SupplierGetObjectId(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* SupplierId, /*[in][out]*/long* HeadingRank, /*[in][out]*/long* Factorized, /*[in][out]*/long* Rank, long* ppRetval),HRESULT;
	declare virtual LayersSetLoad(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* LayersFileName, /*[in][out]*/BSTR* LayersSetName, long* ppRetval),HRESULT;
	declare virtual GetPointedObject(/*[in][out]*/long* SessionId, /*[in][out]*/long* ImageResX, /*[in][out]*/long* ImageResY, /*[in][out]*/long* PixelX, /*[in][out]*/long* PixelY, /*[in][out]*/long* PreviousObjectId, long* ppRetval),HRESULT;
	declare virtual IsLoaded(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ObjectsAgainstWallGetList(/*[in][out]*/long* SessionId, /*[in][out]*/long* WallId, /*[in][out]*/long* MaxDistance, BSTR* ppRetval),HRESULT;
	declare virtual ObjectGetOverlappingObjectsList(/*[in][out]*/long* SessionId, /*[in][out]*/long* ObjectId, /*[in][out]*/VARIANT_BOOL* AltitudeTest, BSTR* ppRetval),HRESULT;
	declare virtual GetActiveObject(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
}


// {74B033F6-8E3F-4B19-89DE-F426E04027C2}
extern _CLSID_Scene as GUID; // [cancreate]
// interface _Scene

// {2404F3C8-4D15-4CE4-956E-C48E9890BDB2}
extern _IID__Appli as GUID;

interface _Appli : IDispatch // [dispatchable][nonextensible][dual][hidden]
{
	declare virtual StartSessionFromCallParams(/*[in][out]*/long* CallParamsBlock, long* ppRetval),HRESULT;
	declare virtual EndSession(/*[in][out]*/long* SessionId, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetBaseIndex(/*[in][out]*/long* SessionId, /*[in][out]*/long* BaseIndex, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetLanguage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Language, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetLanguage(/*[in][out]*/long* SessionId, BSTR* ppRetval),HRESULT;
	declare virtual GetTranslatedText(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Text, BSTR* ppRetval),HRESULT;
	declare virtual LoadCatalogsPool(VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual InsertMenuItem(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* MenuItemText, /*[in][out]*/long* AccelControlKey, /*[in][out]*/long* AccelKeyCode, /*[in][out]*/BSTR* IconFileName, /*[in][out]*/long* MenuRank, /*[in][out]*/long* ItemRank, /*[in][out]*/BSTR* DLLFileName, /*[in][out]*/BSTR* ClassName, /*[in][out]*/BSTR* FunctionName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ExecuteMenuItem(/*[in][out]*/long* SessionId, /*[in][out]*/long* MenuRank, /*[in][out]*/long* ItemRank, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual InsertMobiScriptMenuItem(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* MenuItemText, /*[in][out]*/long* AccelControlKey, /*[in][out]*/long* AccelKeyCode, /*[in][out]*/BSTR* IconFileName, /*[in][out]*/long* MenuRank, /*[in][out]*/long* ItemRank, /*[in][out]*/BSTR* DLLFileName, /*[in][out]*/BSTR* ClassName, /*[in][out]*/BSTR* FunctionName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ExecuteMobiScriptMenuItem(/*[in][out]*/long* SessionId, /*[in][out]*/long* MenuRank, /*[in][out]*/long* ItemRank, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetCallParamsWindow(/*[in][out]*/long* SessionId, long* ppRetval),HRESULT;
	declare virtual SetCallParamsInfo(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Value, /*[in][out]*/long* InfoType, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetCallParamsInfo(/*[in][out]*/long* SessionId, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual CenterWindow(/*[in][out]*/long* WindowHandle, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetCatalogsList(/*[in][out]*/long* SessionId, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetName(/*[in][out]*/BSTR* CatalogFileName, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetCode(/*[in][out]*/BSTR* CatalogFileName, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetInfo(/*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* InfoType, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetPackCode(/*[in][out]*/BSTR* CatalogFileName, BSTR* ppRetval),HRESULT;
	declare virtual CatalogConvertToCCA(/*[in][out]*/BSTR* CatalogFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual CatalogGetModificationTime(/*[in][out]*/BSTR* CatalogFileName, long* ppRetval),HRESULT;
	declare virtual CatalogGetSectionsList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetBlocksList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* SectionRank, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetValidBlocksList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* FinishTypesList, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/long* SectionRank, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetArticlesList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* BlockRank, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetValidArticlesList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* FinishTypesList, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/long* BlockRank, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetModelsList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetWizardsList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/VARIANT_BOOL* AllItems, /*[in][out]*/BSTR* Format, BSTR* ppRetval),HRESULT;
	declare virtual CatalogModifyFinishesConfig(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* FinishTypesList, /*[in][out]*/BSTR* FinishesList, /*[in][out]*/long* ModifiedLineRank, /*[in][out]*/long* NewFinish, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetFinishTypeName(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* FinishTypePos, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetFinishTypeCode(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* FinishTypePos, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetFinishTypeNumber(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* FinishTypePos, long* ppRetval),HRESULT;
	declare virtual CatalogGetFinishCodeAndName(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* FinishTypePos, /*[in][out]*/long* FinishPos, BSTR* ppRetval),HRESULT;
	declare virtual CatalogGetLinearArticlesList(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/long* LinearType, BSTR* ppRetval),HRESULT;
	declare virtual CatalogExportArticleImage(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* CatalogFileName, /*[in][out]*/BSTR* ArticleRef, /*[in][out]*/long* HandingType, /*[in][out]*/long* Opened, /*[in][out]*/long* ViewMode, /*[in][out]*/BSTR* ImageFileName, /*[in][out]*/long* XRes, /*[in][out]*/long* YRes, /*[in][out]*/BSTR* BackGroundColor, /*[in][out]*/VARIANT_BOOL* Transparent, /*[in][out]*/long* JPEGQuality, /*[in][out]*/long* AntiAliasing, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetDebugMode(/*[in][out]*/long* DebugOn, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetSessionTimeout(/*[in][out]*/long* MinutesNb, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetRootDirectory(/*[in][out]*/BSTR* RootDirectory, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual ShowMessages(/*[in][out]*/VARIANT_BOOL* Show, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SceneGetCounterMark(/*[in][out]*/BSTR* SceneFileName, BSTR* ppRetval),HRESULT;
	declare virtual SceneGetClientEmail(/*[in][out]*/BSTR* SceneFileName, BSTR* ppRetval),HRESULT;
	declare virtual EmailSend(/*[in][out]*/BSTR* RecipientName, /*[in][out]*/BSTR* RecipientAddress, /*[in][out]*/BSTR* CC, /*[in][out]*/BSTR* Subject, /*[in][out]*/BSTR* Body, /*[in][out]*/BSTR* AttachedFilesPathsList, /*[in][out]*/BSTR* AttachedFilesNamesList, /*[in][out]*/VARIANT_BOOL* ShowDialog, long* ppRetval),HRESULT;
}


// {B690775F-C8A9-4B81-ABF2-8B7E444BBFDA}
extern _CLSID_Appli as GUID; // [cancreate]
// interface _Appli

// {5DAA1897-E5EB-4C4B-842D-86CB7931D1ED}
extern _IID__Dico as GUID;

interface _Dico : IDispatch // [dispatchable][nonextensible][dual][hidden]
{
	declare virtual FileNew(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* KeyLanguageCode, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileLoad(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* DicoFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual FileSave(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* DicoFileName, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual InsertLine(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* Ident, /*[in][out]*/BSTR* KeyString, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual SetStringFromKey(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* KeyString, /*[in][out]*/BSTR* KeyLanguageCode, /*[in][out]*/BSTR* TranslatedString, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetStringFromKey(/*[in][out]*/long* SessionId, /*[in][out]*/BSTR* KeyString, /*[in][out]*/BSTR* KeyLanguageCode, BSTR* ppRetval),HRESULT;
}


// {A9DC77DC-BEEA-493A-B656-BD90C3DEA760}
extern _CLSID_Dico as GUID; // [cancreate]
// interface _Dico
