' Library KDSDK
' Doc: KitchenDraw Software Development Kit
' Lib Id: {A7952C70-4EA7-4F3F-908A-AC77A140C842}
/*typedef Catalog___v0 _Catalog
typedef Catalog___v1 _Catalog
typedef Scene___v0 _Scene
typedef Scene___v1 _Scene
typedef Appli___v0 _Appli
typedef Appli___v1 _Appli*/

enum CatalogTableId
	CATTABLE_CONSTANTS = 0x0
	CATTABLE_SECTIONS = 0x1
	CATTABLE_BLOCKS = 0x2
	CATTABLE_ARTICLES = 0x3
	CATTABLE_PRICES = 0x4
	CATTABLE_PURCHASEPRICES = 0x5
	CATTABLE_REFERENCES = 0x6
	CATTABLE_TEXTURES = 0x7
	CATTABLE_MODELS = 0x8
	CATTABLE_MODELFINISHES = 0x9
	CATTABLE_MODELHANDLES = 0xA
	CATTABLE_FAMILIES = 0xB
	CATTABLE_FAMILYFINISHES = 0xC
	CATTABLE_2DENTITIES = 0xD
	CATTABLE_2DPRIMITIVES = 0xE
	CATTABLE_3DENTITIES = 0xF
	CATTABLE_3DPRIMITIVES = 0x10
	CATTABLE_MODELFINISHTYPES = 0x11
	CATTABLE_FAMILYFINISHTYPES = 0x12
	CATTABLE_RESOURCES = 0x13
	CATTABLE_COMPLEMENTARYCAT = 0x14
	CATTABLE_WIZARDS = 0x15
	CATTABLE_WIZARDCONTROLS = 0x16
	CATTABLE_WIZARDRULES = 0x17
	CATTABLE_WIZARDDATATYPES = 0x18
	CATTABLE_WIZARDDATA = 0x18
endenum

enum CatalogUnitId
	CATUNIT_MILLIMETRE = 0x0
	CATUNIT_MILLIMETRE_ONEDEC = 0x8
	CATUNIT_MILLIMETRE_TWODEC = 0x9
	CATUNIT_CENTIMETRE_ONEDEC = 0x1
	CATUNIT_INCHDECIMAL = 0x2
	CATUNIT_INCHFRACT32 = 0x3
	CATUNIT_INCHFRACT16 = 0x4
	CATUNIT_INCHFRACT8 = 0x5
endenum

enum CatalogInfoId
	CATINFO_FILENAME = 0x1C
	CATINFO_NAME = 0x0
	CATINFO_CODE = 0x1
	CATINFO_PASSWORD = 0xA
	CATINFO_TYPE = 0x6
	CATINFO_SUBTYPE = 0x8
	CATINFO_BASECATALOG = 0x7D8
	CATINFO_LANGUAGE = 0x11
	CATINFO_UNIT = 0xF
	CATINFO_PRICETYPE = 0x12
	CATINFO_CURRENCY = 0x2
	CATINFO_VATINCLUDED = 0x3F0
	CATINFO_VATRATE = 0x9
	CATINFO_CREATIONDATE = 0x13
	CATINFO_MODIFICATIONDATE = 0x14
	CATINFO_STARTVALIDITYDATE = 0x15
	CATINFO_ENDVALIDITYDATE = 0x16
	CATINFO_SELLINGPRICESWOPW = 0xBBB
	CATINFO_XML = 0x18
	CATINFO_ISCOMPLEMENTARYCATALOG = 0x3EF
	CATINFO_ISBASECATALOG = 0x7DC
endenum

enum CatalogItemInfo
	ITEMINFO_NAME = 0x0
	ITEMINFO_CODE = 0x1
	ITEMINFO_DESCRIPTION = 0x2
	ITEMINFO_SCRIPT = 0x3
	ITEMINFO_XML = 0x4
	ITEMINFO_2DENTITYRANK = 0x5
	ITEMINFO_3DENTITYRANK = 0x6
	ITEMINFO_HAS2DENTITY = 0x7
	ITEMINFO_HAS3DENTITY = 0x8
endenum

enum CatalogClusterRankType
	CLUSTER_FROM_ITEM = 0x0
endenum

enum CatalogType
	CATTYPE_NORMAL = 0x0
	CATTYPE_BASE = 0x1
endenum

enum ObjectList
	OBJLIST_ALLHEADINGS = 0x0
	OBJLIST_ALLCATALOGUEDOBJECTS = 0xFFFFFFFF
	OBJLIST_ALLOBJECTS = 0xFFFFFFFE
endenum

enum ObjectInfo
	OBJINFO_CATALOGFILENAME = 0x0
	OBJINFO_CATALOGNAME = 0x1
	OBJINFO_CATALOGCODE = 0x2
	OBJINFO_SECTIONNAME = 0x3
	OBJINFO_BLOCKCODE = 0x4
	OBJINFO_NAME = 0x5
	OBJINFO_CODE = 0x6
	OBJINFO_KEYREF = 0x7
	OBJINFO_REF = 0x8
	OBJINFO_USERREF = 0x9
	OBJINFO_HANDING = 0xA
	OBJINFO_HANDINGTYPE = 0xB
	OBJINFO_DIMX = 0xC
	OBJINFO_DIMY = 0xD
	OBJINFO_DIMZ = 0xE
	OBJINFO_ISDIMXVAR = 0xF
	OBJINFO_ISDIMYVAR = 0x10
	OBJINFO_ISDIMZVAR = 0x11
	OBJINFO_ORDERDIMX = 0x12
	OBJINFO_ORDERDIMY = 0x13
	OBJINFO_ORDERDIMZ = 0x14
	OBJINFO_POSX = 0x15
	OBJINFO_POSY = 0x16
	OBJINFO_POSZ = 0x17
	OBJINFO_ANGLEXY = 0x18
	OBJINFO_ANGLEYZ = 0x19
	OBJINFO_ANGLEZX = 0x1A
	OBJINFO_DISTLEFTWALL = 0x1B
	OBJINFO_DISTRIGHTWALL = 0x1C
	OBJINFO_UNITTEXT = 0x1D
	OBJINFO_UNITVALUE = 0x1E
	OBJINFO_ID = 0x1F
	OBJINFO_TYPE = 0x20
	OBJINFO_COMPONENTTYPE = 0x21
	OBJINFO_NUMBER = 0x22
	OBJINFO_QUANTITY = 0x23
	OBJINFO_LENGTH = 0x24
	OBJINFO_AREA = 0x25
	OBJINFO_LEFTCUTANGLE = 0x26
	OBJINFO_RIGHTCUTANGLE = 0x27
	OBJINFO_LEFTCUTLENGTH = 0x28
	OBJINFO_RIGHTCUTLENGTH = 0x29
	OBJINFO_LAYER = 0x2A
	OBJINFO_PRICE = 0x2B
	OBJINFO_GROUPNAME = 0x2C
	OBJINFO_GROUPNUMBER = 0x2D
	OBJINFO_PRIORITY = 0x2E
	OBJINFO_PAGE = 0x2F
	OBJINFO_VATTYPE = 0x30
	OBJINFO_DESCRIPTION = 0x31
	OBJINFO_COMMENT_CUSTOMER = 0x32
	OBJINFO_COMMENT_SUPPLIER = 0x33
	OBJINFO_COMMENT_FITTER = 0x34
	OBJINFO_XML = 0x35
	OBJINFO_VALUE = 0x36
	OBJINFO_ON_OR_UNDER = 0x37
	OBJINFO_ON_OR_UNDER_TEXT = 0xB2
	OBJINFO_PRICETYPE = 0x38
	OBJINFO_PRICEPERQUANTITY = 0x39
	OBJINFO_ISVALID = 0x3A
	OBJINFO_ISPLACED = 0x3B
	OBJINFO_ISSELECTED = 0x3C
	OBJINFO_ISACTIVE = 0x3D
	OBJINFO_ISOPEN = 0x3E
	OBJINFO_SUPPLIERID = 0x3F
	OBJINFO_MODELNAME = 0x40
	OBJINFO_MODELCODE = 0x41
	OBJINFO_MODELPRICECOLUMN = 0x42
	OBJINFO_MODELFINISHTYPE = 0x43
	OBJINFO_MODELFINISHNAME = 0x53
	OBJINFO_MODELFINISHCODE = 0x63
	OBJINFO_FAMILYFINISHTYPE = 0x73
	OBJINFO_FAMILYFINISHNAME = 0x83
	OBJINFO_FAMILYFINISHCODE = 0x93
	OBJINFO_TEXTURE = 0xA3
	OBJINFO_COMPONENTLEVEL = 0xAB
	OBJINFO_BASEPRICE = 0xAC
	OBJINFO_GROSSSELLINGPRICE = 0xAD
	OBJINFO_FAMILYNAME = 0xAE
	OBJINFO_FAMILYCODE = 0xAF
	OBJINFO_SECTIONCODE = 0xB0
	OBJINFO_TOPIC = 0xB1
	OBJINFO_OCCURRENCESNB = 0xB3
	OBJINFO_ISGRAPHIC = 0xB4
	OBJINFO_ECOPARTPRICE = 0xB5
	OBJINFO_GENERICRANK = 0xB6
	OBJINFO_HEADINGRANK = 0xB7
	OBJINFO_GENERICNAME = 0xB8
	OBJINFO_HEADINGNAME = 0xB9
	OBJINFO_ISQUOTED = 0xBA
	OBJINFO_TOBEORDERED = 0xBB
	OBJINFO_CATALOG_DIMX = 0xBC
	OBJINFO_CATALOG_DIMY = 0xBD
	OBJINFO_CATALOG_DIMZ = 0xBE
	OBJINFO_DISCOUNTVALUE = 0xBF
	OBJINFO_DISCOUNTTYPE = 0xC0
	OBJINFO_DISCOUNTABSOLUTE = 0xC1
	OBJINFO_POINTVALUE = 0xC2
	OBJINFO_BOTTOMSALESCOEFF = 0xC3
	OBJINFO_DEFAULTSALESCOEFF = 0xC4
	OBJINFO_PURCHASECOEFF = 0xC5
	OBJINFO_WIZARDNAME = 0xC6
	OBJINFO_WIZARDCODE = 0xC7
	OBJINFO_DIMX_NUM = 0xC8
	OBJINFO_DIMX_DEN = 0xC9
	OBJINFO_DIMX_FIX = 0xCA
	OBJINFO_DIMY_NUM = 0xCB
	OBJINFO_DIMY_DEN = 0xCC
	OBJINFO_DIMY_FIX = 0xCD
	OBJINFO_DIMZ_NUM = 0xCE
	OBJINFO_DIMZ_DEN = 0xCF
	OBJINFO_DIMZ_FIX = 0xD0
	OBJINFO_POSX_NUM = 0xD1
	OBJINFO_POSX_DEN = 0xD2
	OBJINFO_POSX_FIX = 0xD3
	OBJINFO_POSY_NUM = 0xD4
	OBJINFO_POSY_DEN = 0xD5
	OBJINFO_POSY_FIX = 0xD6
	OBJINFO_POSZ_NUM = 0xD7
	OBJINFO_POSZ_DEN = 0xD8
	OBJINFO_POSZ_FIX = 0xD9
endenum

enum SceneInfo
	SCNINFO_AUTO_2D_DIMENSIONS = 0x0
	SCNINFO_AUTO_ELEVATION_DIMENSIONS = 0x1
	SCNINFO_UNITTEXT = 0x2
	SCNINFO_UNITVALUE = 0x3
	SCNINFO_LASTOBJDROPPOSX = 0x4
	SCNINFO_LASTOBJDROPPOSY = 0x5
	SCNINFO_LASTOBJDROPPOSZ = 0x6
	SCNINFO_LASTOBJDROPANGLEXY = 0x7
	SCNINFO_DRAWING_SURFACE_2D = 0x8
	SCNINFO_DRAWING_SURFACE_ELEVATION = 0x9
	SCNINFO_DRAWING_SURFACE_3D = 0xA
	SCNINFO_DRAWING_OUTLINE_2D = 0xB
	SCNINFO_DRAWING_OUTLINE_ELEVATION = 0xC
	SCNINFO_DRAWING_OUTLINE_3D = 0xD
	SCNINFO_DRAWING_SHADOWS_2D = 0xE
	SCNINFO_DRAWING_SHADOWS_ELEVATION = 0xF
	SCNINFO_DRAWING_SHADOWS_3D = 0x10
	SCNINFO_FILENAMEWITHPATH = 0x11
	SCNINFO_LANGUAGECODE = 0x12
	SCNINFO_CURRENCYCODE = 0x13
endenum

enum HeadingInfo
	HDRINFO_DISCOUNTPERCENTS = 0x0
	HDRINFO_DISCOUNTVALUE = 0x1
endenum

enum HandingType
	HANDINGTYPE_NONE = 0x0
	HANDINGTYPE_LEFT = 0x1
	HANDINGTYPE_RIGHT = 0x2
endenum

enum ViewMode
	VIEWMODE_2D = 0x0
	VIEWMODE_ELEVATION = 0x1
	VIEWMODE_REALELEVATION = 0x2
	VIEWMODE_3D = 0x3
	VIEWMODE_REAL3D = 0x4
	VIEWMODE_PHOTO3D = 0x5
	VIEWMODE_FINALPHOTO3D = 0x6
	VIEWMODE_DXREAL3D = 0x7
	VIEWMODE_DXPHOTO3D = 0x8
endenum

enum ObjectType
	OBJTYPE_STANDARD = 0x0
	OBJTYPE_DOOR = 0x1
	OBJTYPE_WINDOW = 0x2
	OBJTYPE_RECESS = 0x3
	OBJTYPE_PLAN = 0x4
	OBJTYPE_PLANARTICLE = 0x5
	OBJTYPE_LINEAR = 0x6
	OBJTYPE_WALL = 0x7
	OBJTYPE_TEXT = 0x8
	OBJTYPE_LINEARDIMENSION = 0x9
	OBJTYPE_ARROW = 0xA
	OBJTYPE_PLANNINGAREA = 0xB
	OBJTYPE_ELEVATIONSYMBOL = 0xC
	OBJTYPE_ANGULARDIMENSION = 0xD
	OBJTYPE_DXF3D = 0xE
	OBJTYPE_WMF = 0xF
	OBJTYPE_GROUP = 0x10
	OBJTYPE_OPEN = 0x11
	OBJTYPE_METAFILE = 0x12
	OBJTYPE_DXF2D = 0x13
	OBJTYPE_BMP = 0x14
	OBJTYPE_ENVELOPE = 0x15
	OBJTYPE_TECHNICALSYMBOL = 0x16
	OBJTYPE_LIGHTSOURCE = 0x17
	OBJTYPE_TILE = 0x18
	OBJTYPE_RADIUSDIMENSION = 0x19
endenum

enum ComponentType
	COMPTYPE_NOTACOMPONENT = 0xFFFFFFFF
	COMPTYPE_OPTION = 0x0
	COMPTYPE_INTERMEDIATE = 0x1
	COMPTYPE_CARCASEPANEL = 0x2
	COMPTYPE_FRONTPANEL = 0x3
	COMPTYPE_PROFILE = 0x4
	COMPTYPE_PART = 0x5
	COMPTYPE_LIQUIDPRODUCT = 0x6
	COMPTYPE_LABOR = 0x7
	COMPTYPE_SUBSET = 0x8
endenum

enum SceneExtraInfo
	SCNEXTINFO_COMMENT = 0x0
	SCNEXTINFO_CUSTOM = 0x1
endenum

enum SceneExportType
	SCNBOMEXPTYPE_ALL = 0x0
	SCNBOMEXPTYPE_PANCUTLIST = 0x1
endenum

enum ObjectExtraInfo
	OBJEXTINFO_COMMENT = 0x0
	OBJEXTINFO_CUSTOM = 0x1
endenum

enum ShapePointProperty
	SHAPEPOINTPROP_SELECTED = 0x1
	SHAPEPOINTPROP_ARC = 0x2
endenum

enum AltitudeType
	ALTITUDETYPE_DEFAULT = 0xFFFFFFFF
	ALTITUDETYPE_ON = 0x0
	ALTITUDETYPE_UNDER = 0x1
endenum

enum AppCallParamId
	APPCALLPARAM_ORDERDIRECTORY = 0x1
	APPCALLPARAM_ORDERFILENAME = 0x2
	APPCALLPARAM_ORDERWEEK = 0x3
	APPCALLPARAM_ORDERYEAR = 0x4
	APPCALLPARAM_ACTIVEOBJECT = 0x5
	APPCALLPARAM_SUPPLIERID = 0x6
	APPCALLPARAM_BUFFER = 0x7
	APPCALLPARAM_BUFFERSIZE = 0x8
	APPCALLPARAM_HWND = 0x9
endenum

enum AppControlKey
	CK_SHIFT = 0x1
	CK_CONTROL = 0x2
	CK_MENU = 0x4
endenum

enum AppKeyCode
	VK_0 = 0x30
	VK_1 = 0x31
	VK_2 = 0x32
	VK_3 = 0x33
	VK_4 = 0x34
	VK_5 = 0x35
	VK_6 = 0x36
	VK_7 = 0x37
	VK_8 = 0x38
	VK_9 = 0x39
	VK_A = 0x41
	VK_B = 0x42
	VK_C = 0x43
	VK_D = 0x44
	VK_E = 0x45
	VK_F = 0x46
	VK_G = 0x47
	VK_H = 0x48
	VK_I = 0x49
	VK_J = 0x4A
	VK_K = 0x4B
	VK_L = 0x4C
	VK_M = 0x4D
	VK_N = 0x4E
	VK_O = 0x4F
	VK_P = 0x50
	VK_Q = 0x51
	VK_R = 0x52
	VK_S = 0x53
	VK_T = 0x54
	VK_U = 0x55
	VK_V = 0x56
	VK_W = 0x57
	VK_X = 0x58
	VK_Y = 0x59
	VK_Z = 0x5A
	VK_NUMPAD0 = 0x60
	VK_NUMPAD1 = 0x61
	VK_NUMPAD2 = 0x62
	VK_NUMPAD3 = 0x63
	VK_NUMPAD4 = 0x64
	VK_NUMPAD5 = 0x65
	VK_NUMPAD6 = 0x66
	VK_NUMPAD7 = 0x67
	VK_NUMPAD8 = 0x68
	VK_NUMPAD9 = 0x69
	VK_MULTIPLY = 0x6A
	VK_ADD = 0x6B
	VK_SEPARATOR = 0x6C
	VK_SUBTRACT = 0x6D
	VK_DECIMAL = 0x6E
	VK_DIVIDE = 0x6F
	VK_F1 = 0x70
	VK_F2 = 0x71
	VK_F3 = 0x72
	VK_F4 = 0x73
	VK_F5 = 0x74
	VK_F6 = 0x75
	VK_F7 = 0x76
	VK_F8 = 0x77
	VK_F9 = 0x78
	VK_F10 = 0x79
	VK_F11 = 0x7A
	VK_F12 = 0x7B
	VK_F13 = 0x7C
	VK_F14 = 0x7D
	VK_F15 = 0x7E
	VK_F16 = 0x7F
	VK_F17 = 0x80
	VK_F18 = 0x81
	VK_F19 = 0x82
	VK_F20 = 0x83
	VK_F21 = 0x84
	VK_F22 = 0x85
	VK_F23 = 0x86
	VK_F24 = 0x87
endenum

' {0ED2ED26-CE5D-4C0D-8C2F-B25BEA2884F2}
extern _IID__Catalog as GUID

interface _Catalog, IDispatch ' [dispatchable][nonextensible][dual][hidden]

	stdmethod FileNew(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrBaseCatalogFileName, /*[in][out]*/pointer plMeasurement, /*[in][out]*/pointer plCatalogType, pointer pvbppRetval),int
	stdmethod FileLoad(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrPassword, pointer pvbppRetval),int
	stdmethod FileSave(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod FileExportImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plArticleRank, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportModelImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrFinishTypesList, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportFamilyFinishImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plFinishTypeRank, /*[in][out]*/pointer plFinishRank, /*[in][out]*/pointer plTextureRank, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer pvJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportModelFinishImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plFinishTypeRank, /*[in][out]*/pointer plFinishRank, /*[in][out]*/pointer plTextureRank, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer pvJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportResource(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer ppBstrResourceFileName, pointer pvbppRetval),int
	stdmethod FileExportPrices(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrPricesFileName, /*[in][out]*/pointer pvbWithBlockName, pointer pvbppRetval),int
	stdmethod FileImportPrices(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrPricesFileName, pointer pvbppRetval),int
	stdmethod FileExportResourceFromName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrResourceFileName, /*[in][out]*/pointer pvbIfNewerOnly, pointer pvbppRetval),int
	stdmethod FileImportResource(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrResourceFileName, /*[in][out]*/pointer pvbIfNewerOnly, pointer pvbppRetval),int
	stdmethod IsLoaded(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod GetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod SetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrInfoValue, /*[in][out]*/pointer plInfoType, pointer pvbppRetval),int
	stdmethod TableAddLines(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plNbLines, pointer plppRetval),int
	stdmethod TableInsertLines(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer plNbLines, pointer plRetval),int
	stdmethod TableDeleteLines(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer plNbLines, pointer plRetval),int
	stdmethod TableGetLineInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer plInfoColumnRank, pointer ppBstrppRetval),int
	stdmethod TableSetLineInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer plInfoColumnRank, /*[in][out]*/pointer ppBstrInfoValue, pointer pvbppRetval),int
	stdmethod TableGetLine(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, pointer ppBstrppRetval),int
	stdmethod TableGetLineRankFromCode(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer ppBstrCode, /*[in][out]*/pointer pvbBackScan, pointer plppRetval),int
	stdmethod TableGetLineRankFromName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, /*[in][out]*/pointer plLineRank, /*[in][out]*/pointer ppBstrName, /*[in][out]*/pointer pvbBackScan, pointer plppRetval),int
	stdmethod TableGetLinesNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plClusterRank, pointer plppRetval),int
	stdmethod TableGetClusterRankFromLineRank(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plTable, /*[in][out]*/pointer plLineRank, pointer plppRetval),int
endinterface

' {FD8B1A33-9C10-461F-8559-EC7994559CA7}
extern _CLSID_Catalog as GUID ' [cancreate]
' interface _Catalog

' {F87CBD4C-3A39-4BFB-B6F9-AF4B4D9BBA3D}
extern _IID__Scene as GUID

interface _Scene, IDispatch ' [dispatchable][nonextensible][dual][hidden]

	stdmethod FileNew(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plMeasurement, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plWallsHeight, pointer pvbppRetval),int
	stdmethod FileLoad(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSceneFileName, pointer pvbppRetval),int
	stdmethod FileSave(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSceneFileName, pointer pvbppRetval),int
	stdmethod FileLoadCatalogScene(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod FileSaveCatalogScene(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSceneFileName, pointer pvbppRetval),int
	stdmethod FileExportBOMList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrListFileName, /*[in][out]*/pointer plListType, /*[in][out]*/pointer ppBstrFormatName, /*[in][out]*/pointer pvbFactorized, /*[in][out]*/pointer pvbConcatenate, pointer pvbppRetval),int
	stdmethod FileExportXML(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrListFileName, /*[in][out]*/pointer pvbFactorized, pointer pvbppRetval),int
	stdmethod FileExportOrderFile(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSupplierId, /*[in][out]*/pointer plDeliveryYear, /*[in][out]*/pointer plDeliveryWeek, /*[in][out]*/pointer ppBstrOrderFileName, pointer pvbppRetval),int
	stdmethod FileExportImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportView(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHAngle, /*[in][out]*/pointer plVAngle, /*[in][out]*/pointer pvbAdjustedZoom, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportSelectionImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSelectionImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer pvbppRetval),int
	stdmethod FileExportActiveObjectImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSelectionImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer pvbppRetval),int
	stdmethod FileExportSelectionOutlineImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plPixelXRot, /*[in][out]*/pointer plPixelYRot, /*[in][out]*/pointer pdAngle, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer pvbppRetval),int
	stdmethod FileExportSelectionMap(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer pvbppRetval),int
	stdmethod FileGetPointedObject(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer plppRetval),int
	stdmethod FileExportCatalogImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportCatalogBlockImages(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrBlocksList, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportCatalogOutlineImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer pdAngle, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer pvbppRetval),int
	stdmethod FileExportCatalogImageFromScript(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrScript, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileExportImageFromScript(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrScript, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer plX, /*[in][out]*/pointer plY, /*[in][out]*/pointer plAltitude, /*[in][out]*/pointer plAltitudeType, /*[in][out]*/pointer pdOXYAngle, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer pvbAdjustedZoom, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod FileLoadCatalog(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrPassword, pointer pvbppRetval),int
	stdmethod FileGetSelectionPoints(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, pointer ppBstrppRetval),int
	stdmethod FileGetSelectionOutlinePoints(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelXRot, /*[in][out]*/pointer plPixelYRot, /*[in][out]*/pointer pdAngle, pointer ppBstrppRetval),int
	stdmethod FileGetCatalogOutlinePoints(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer pdAngle, /*[in][out]*/pointer plOpened, pointer ppBstrppRetval),int
	stdmethod EditUndo(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditIsUndoPossible(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditIsRedoPossible(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditDelete(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditDeleteActiveObjectAndSelectPrevious(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditPlaceObjectPixel(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX, /*[in][out]*/pointer plPixelY, /*[in][out]*/pointer plAltitude, /*[in][out]*/pointer plAltitudeType, /*[in][out]*/pointer pdOXYAngle, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plPercussion, /*[in][out]*/pointer plPool, pointer plppRetval),int
	stdmethod EditPlaceObject(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer plX, /*[in][out]*/pointer plY, /*[in][out]*/pointer plAltitude, /*[in][out]*/pointer plAltitudeType, /*[in][out]*/pointer pdOXYAngle, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plPercussion, /*[in][out]*/pointer plPool, pointer plppRetval),int
	stdmethod EditPlaceLinearObject(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer plPlace, pointer pvbppRetval),int
	stdmethod EditReplaceSelection(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plWidth, /*[in][out]*/pointer plDepth, /*[in][out]*/pointer plHeight, /*[in][out]*/pointer plOpened, pointer pvbppRetval),int
	stdmethod EditSelectAll(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditReverseSelection(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditSelectFromRectangle(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX1, /*[in][out]*/pointer plPixelY1, /*[in][out]*/pointer plPixelX2, /*[in][out]*/pointer plPixelY2, /*[in][out]*/pointer plMultipleSelection, pointer pvbppRetval),int
	stdmethod EditGetSceneX(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX, pointer plppRetval),int
	stdmethod EditGetSceneY(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelY, pointer plppRetval),int
	stdmethod EditGetMagneticPoint(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX, /*[in][out]*/pointer plPixelY, /*[in][out]*/pointer plMagneticMargin, pointer ppBstrppRetval),int
	stdmethod EditGetPixelX(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plSceneX, pointer plppRetval),int
	stdmethod EditGetPixelY(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plSceneY, pointer plppRetval),int
	stdmethod EditCopyTable(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod EditIsInTableView(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionGetObjectsNb(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SelectionGetObjectId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plSelectedObjectRank, pointer plppRetval),int
	stdmethod SelectionMove(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plSceneXOrig, /*[in][out]*/pointer plSceneYOrig, /*[in][out]*/pointer plSceneZOrig, /*[in][out]*/pointer pdOXYAngleOrig, /*[in][out]*/pointer pdOYZAngleOrig, /*[in][out]*/pointer pdOZXAngleOrig, /*[in][out]*/pointer plSceneXExt, /*[in][out]*/pointer plSceneYExt, /*[in][out]*/pointer plSceneZExt, /*[in][out]*/pointer pdOXYAngleExt, /*[in][out]*/pointer pdOYZAngleExt, /*[in][out]*/pointer pdOZXAngleExt, /*[in][out]*/pointer pdDistance, /*[in][out]*/pointer plDuplicate, /*[in][out]*/pointer plPercussion, pointer pvbppRetval),int
	stdmethod SelectionPixelMove(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelXOrig, /*[in][out]*/pointer plPixelYOrig, /*[in][out]*/pointer pdOXYAngleOrig, /*[in][out]*/pointer plPixelXExt, /*[in][out]*/pointer plPixelYExt, /*[in][out]*/pointer pdOXYAngleExt, /*[in][out]*/pointer pdDistance, /*[in][out]*/pointer plDuplicate, /*[in][out]*/pointer plPercussion, pointer pvbppRetval),int
	stdmethod SelectionRotate(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer pdOXYAngle, /*[in][out]*/pointer pdOYZAngle, /*[in][out]*/pointer pdOZXAngle, pointer pvbppRetval),int
	stdmethod SelectionDimension(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionOpen(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionClose(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionHide(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionShow(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SelectionGetList(/*[in][out]*/pointer plSessionId, pointer ppBstrppRetval),int
	stdmethod SelectionSetList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSelectionList, pointer pvbppRetval),int
	stdmethod ObjectGetKeywordInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrKeyword, pointer ppBstrppRetval),int
	stdmethod ObjectSetKeywordInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer ppBstrKeyword, pointer pvbppRetval),int
	stdmethod ObjectGetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod ObjectSetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer plInfoType, pointer pvbppRetval),int
	stdmethod ObjectGetCustomInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrInfoKey, pointer ppBstrppRetval),int
	stdmethod ObjectSetCustomInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer ppBstrInfoKey, pointer pvbppRetval),int
	stdmethod ObjectGetScript(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer ppBstrppRetval),int
	stdmethod ObjectSetScript(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrScript, pointer pvbppRetval),int
	stdmethod ObjectGetParentId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer plppRetval),int
	stdmethod ObjectGetChildrenNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plAllComponentLevels, pointer plppRetval),int
	stdmethod ObjectGetChildId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plChildRank, /*[in][out]*/pointer plAllComponentLevels, pointer plppRetval),int
	stdmethod ObjectSelect(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plMultipleSelection, pointer plppRetval),int
	stdmethod ObjectGetFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer ppBstrppRetval),int
	stdmethod ObjectSetFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrFinishesList, pointer pvbppRetval),int
	stdmethod ObjectModifyFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plModifiedLineRank, /*[in][out]*/pointer plNewFinish, /*[in][out]*/pointer plModify, pointer ppBstrppRetval),int
	stdmethod ObjectGetFinishCodeAndName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plFinishTypePos, /*[in][out]*/pointer plFinishPos, pointer ppBstrppRetval),int
	stdmethod ObjectExportImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod ObjectGetShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer ppBstrppRetval),int
	stdmethod ObjectSetShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrShapePointsList, pointer pvbppRetval),int
	stdmethod ObjectWizard(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer pvbppRetval),int
	stdmethod ObjectValueToIncrements(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrValue, pointer plppRetval),int
	stdmethod ObjectIncrementsToValue(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plIncrementsNumber, pointer ppBstrppRetval),int
	stdmethod ObjectIsAgainstWall(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plWallId, /*[in][out]*/pointer plMaxDistance, pointer pvbppRetval),int
	stdmethod ObjectGetKeywordsText(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrKeywordText, /*[in][out]*/pointer ppBstrImagesDir, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer ppBstrppRetval),int
	stdmethod ObjectSubstituteAndFileExportView(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer pvbAdjustedZoom, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod ObjectGetHostId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, pointer plppRetval),int
	stdmethod ObjectGetHostedNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plAllComponentLevels, pointer plppRetval),int
	stdmethod ObjectGetHostedId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plHostedRank, /*[in][out]*/pointer plAllComponentLevels, pointer plppRetval),int
	stdmethod ObjectGetWallId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer plGap, pointer plppRetval),int
	stdmethod ZoomEnlarge(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX1, /*[in][out]*/pointer plPixelY1, /*[in][out]*/pointer plPixelX2, /*[in][out]*/pointer plPixelY2, pointer pvbppRetval),int
	stdmethod ZoomReduce(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod ZoomInitial(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod ZoomAdjusted(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod ZoomFromPoint(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX, /*[in][out]*/pointer plPixelY, /*[in][out]*/pointer plZoomPercentage, pointer pvbppRetval),int
	stdmethod ZoomMove(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plStartPixelX, /*[in][out]*/pointer plStartPixelY, /*[in][out]*/pointer plEndPixelX, /*[in][out]*/pointer plEndPixelY, pointer pvbppRetval),int
	stdmethod ZoomPixel(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod ViewSetMode(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plViewMode, pointer pvbppRetval),int
	stdmethod ViewGetMode(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewGetObserverHAngle(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewGetObserverVAngle(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewSetObserverHAngle(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plAngle, pointer pvbppRetval),int
	stdmethod ViewSetObserverVAngle(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plAngle, pointer pvbppRetval),int
	stdmethod ViewGetObserverX(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewGetObserverY(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewGetObserverZ(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod ViewSetObserverX(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plValue, pointer pvbppRetval),int
	stdmethod ViewSetObserverY(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plValue, pointer pvbppRetval),int
	stdmethod ViewSetObserverZ(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plValue, pointer pvbppRetval),int
	stdmethod ViewRefresh(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SceneBuild(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SceneGetKeywordInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeyword, pointer ppBstrppRetval),int
	stdmethod SceneSetKeywordInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer ppBstrKeyword, pointer pvbppRetval),int
	stdmethod SceneGetCustomInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrInfoKey, pointer ppBstrppRetval),int
	stdmethod SceneSetCustomInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer ppBstrInfoKey, pointer pvbppRetval),int
	stdmethod SceneGetScript(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plComponents, pointer ppBstrppRetval),int
	stdmethod SceneGetObjectsNb(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SceneGetObjectId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod SceneGetGenericsNb(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SceneDeleteGeneric(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, pointer pvbppRetval),int
	stdmethod SceneAddGeneric(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod SceneInsertGeneric(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, /*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod SceneGetShapesNb(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SceneAddShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrShapePointsList, pointer pvbppRetval),int
	stdmethod SceneGetShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plShapeRank, pointer ppBstrppRetval),int
	stdmethod SceneSetShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plShapeRank, /*[in][out]*/pointer ppBstrShapePointsList, pointer pvbppRetval),int
	stdmethod SceneDeleteShape(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plShapeRank, pointer pvbppRetval),int
	stdmethod SceneDeleteAllShapes(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SceneGetActiveShapeRank(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SceneSetActiveShapeRank(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plShapeRank, pointer pvbppRetval),int
	stdmethod SceneGetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod SceneSetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer plInfoType, pointer pvbppRetval),int
	stdmethod SceneValueToIncrements(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrValue, pointer plppRetval),int
	stdmethod SceneIncrementsToValue(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plIncrementsNumber, pointer ppBstrppRetval),int
	stdmethod SceneGetKeywordsText(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeywordsText, pointer ppBstrppRetval),int
	stdmethod SceneUpdatePrices(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SceneGetKeywordsTextFromFiles(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeywordsTextFile, pointer ppBstrppRetval),int
	stdmethod GenericGetCatalogFileName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, pointer ppBstrppRetval),int
	stdmethod GenericSetCatalogFileName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, /*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod GenericGetFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, pointer ppBstrppRetval),int
	stdmethod GenericSetFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, /*[in][out]*/pointer ppBstrFinishesList, pointer pvbppRetval),int
	stdmethod GenericModifyFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer plModifiedLineRank, /*[in][out]*/pointer plNewFinish, /*[in][out]*/pointer plModify, pointer ppBstrppRetval),int
	stdmethod GenericGetExpandedFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plGenericRank, /*[in][out]*/pointer ppBstrFinishesConfig, pointer ppBstrppRetval),int
	stdmethod HeadingGetObjectsNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, pointer plppRetval),int
	stdmethod HeadingGetObjectId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod HeadingGetObjectOccurrencesNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod HeadingGetParentsNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, pointer plppRetval),int
	stdmethod HeadingGetParentId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod HeadingGetParentOccurrencesNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod HeadingGetArticlesTable(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer ppBstrHeaderText, /*[in][out]*/pointer ppBstrRowText, /*[in][out]*/pointer ppBstrAltRowText, /*[in][out]*/pointer ppBstrFooterText, /*[in][out]*/pointer ppBstrImagesDir, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer ppBstrppRetval),int
	stdmethod HeadingGetGenericFinishesTable(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer ppBstrHeaderText, /*[in][out]*/pointer ppBstrRowText, /*[in][out]*/pointer ppBstrAltRowText, /*[in][out]*/pointer ppBstrFooterText, pointer ppBstrppRetval),int
	stdmethod HeadingGetArticlesTableFromFiles(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer ppBstrHeaderTextFile, /*[in][out]*/pointer ppBstrRowTextFile, /*[in][out]*/pointer ppBstrAltRowTextFile, /*[in][out]*/pointer ppBstrFooterTextFile, /*[in][out]*/pointer ppBstrImagesDir, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, pointer ppBstrppRetval),int
	stdmethod HeadingGetGenericFinishesTableFromFiles(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer ppBstrHeaderTextFile, /*[in][out]*/pointer ppBstrRowTextFile, /*[in][out]*/pointer ppBstrAltRowTextFile, /*[in][out]*/pointer ppBstrFooterTextFile, pointer ppBstrppRetval),int
	stdmethod HeadingGetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod HeadingSetInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer plInfoType, pointer pvbppRetval),int
	stdmethod SupplierGetObjectsNb(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSupplierId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, pointer plppRetval),int
	stdmethod SupplierGetObjectId(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrSupplierId, /*[in][out]*/pointer plHeadingRank, /*[in][out]*/pointer plFactorized, /*[in][out]*/pointer plRank, pointer plppRetval),int
	stdmethod LayersSetLoad(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrLayersFileName, /*[in][out]*/pointer ppBstrLayersSetName, pointer plppRetval),int
	stdmethod GetPointedObject(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plImageResX, /*[in][out]*/pointer plImageResY, /*[in][out]*/pointer plPixelX, /*[in][out]*/pointer plPixelY, /*[in][out]*/pointer plPreviousObjectId, pointer plppRetval),int
	stdmethod IsLoaded(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod ObjectsAgainstWallGetList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plWallId, /*[in][out]*/pointer plMaxDistance, pointer ppBstrppRetval),int
	stdmethod ObjectGetOverlappingObjectsList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plObjectId, /*[in][out]*/pointer pvbAltitudeTest, pointer ppBstrppRetval),int
	stdmethod GetActiveObject(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
endinterface


' {74B033F6-8E3F-4B19-89DE-F426E04027C2}
extern _CLSID_Scene as GUID ' [cancreate]
' interface _Scene

' {2404F3C8-4D15-4CE4-956E-C48E9890BDB2}
extern _IID__Appli as GUID

interface _Appli, IDispatch ' [dispatchable][nonextensible][dual][hidden]

	stdmethod StartSessionFromCallParams(/*[in][out]*/pointer plCallParamsBlock, pointer plppRetval),int
	stdmethod EndSession(/*[in][out]*/pointer plSessionId, pointer pvbppRetval),int
	stdmethod SetBaseIndex(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plBaseIndex, pointer pvbppRetval),int
	stdmethod SetLanguage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrLanguage, pointer pvbppRetval),int
	stdmethod GetLanguage(/*[in][out]*/pointer plSessionId, pointer ppBstrppRetval),int
	stdmethod GetTranslatedText(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrText, pointer ppBstrppRetval),int
	stdmethod LoadCatalogsPool(pointer pvbRetval),int
	stdmethod InsertMenuItem(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrMenuItemText, /*[in][out]*/pointer plAccelControlKey, /*[in][out]*/pointer plAccelKeyCode, /*[in][out]*/pointer ppBstrIconFileName, /*[in][out]*/pointer plMenuRank, /*[in][out]*/pointer plItemRank, /*[in][out]*/pointer ppBstrDLLFileName, /*[in][out]*/pointer ppBstrClassName, /*[in][out]*/pointer ppBstrFunctionName, pointer pvbppRetval),int
	stdmethod ExecuteMenuItem(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plMenuRank, /*[in][out]*/pointer plItemRank, pointer pvbppRetval),int
	stdmethod InsertMobiScriptMenuItem(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrMenuItemText, /*[in][out]*/pointer plAccelControlKey, /*[in][out]*/pointer plAccelKeyCode, /*[in][out]*/pointer ppBstrIconFileName, /*[in][out]*/pointer plMenuRank, /*[in][out]*/pointer plItemRank, /*[in][out]*/pointer ppBstrDLLFileName, /*[in][out]*/pointer ppBstrClassName, /*[in][out]*/pointer ppBstrFunctionName, pointer pvbppRetval),int
	stdmethod ExecuteMobiScriptMenuItem(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plMenuRank, /*[in][out]*/pointer plItemRank, pointer pvbppRetval),int
	stdmethod GetCallParamsWindow(/*[in][out]*/pointer plSessionId, pointer plppRetval),int
	stdmethod SetCallParamsInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrValue, /*[in][out]*/pointer plInfoType, pointer pvbppRetval),int
	stdmethod GetCallParamsInfo(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod _CenterWindow(/*[in][out]*/pointer plWindowHandle, pointer pvbppRetval),int
	stdmethod GetCatalogsList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetName(/*[in][out]*/pointer ppBstrCatalogFileName, pointer ppBstrppRetval),int
	stdmethod CatalogGetCode(/*[in][out]*/pointer ppBstrCatalogFileName, pointer ppBstrppRetval),int
	stdmethod CatalogGetInfo(/*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plInfoType, pointer ppBstrppRetval),int
	stdmethod CatalogGetPackCode(/*[in][out]*/pointer ppBstrCatalogFileName, pointer ppBstrppRetval),int
	stdmethod CatalogConvertToCCA(/*[in][out]*/pointer ppBstrCatalogFileName, pointer pvbppRetval),int
	stdmethod CatalogGetModificationTime(/*[in][out]*/pointer ppBstrCatalogFileName, pointer plppRetval),int
	stdmethod CatalogGetSectionsList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetBlocksList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plSectionRank, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetValidBlocksList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrFinishTypesList, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer plSectionRank, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetArticlesList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plBlockRank, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetValidArticlesList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrFinishTypesList, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer plBlockRank, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetModelsList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogGetWizardsList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer pvbAllItems, /*[in][out]*/pointer ppBstrFormat, pointer ppBstrppRetval),int
	stdmethod CatalogModifyFinishesConfig(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrFinishTypesList, /*[in][out]*/pointer ppBstrFinishesList, /*[in][out]*/pointer plModifiedLineRank, /*[in][out]*/pointer plNewFinish, pointer ppBstrppRetval),int
	stdmethod CatalogGetFinishTypeName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plFinishTypePos, pointer ppBstrppRetval),int
	stdmethod CatalogGetFinishTypeCode(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plFinishTypePos, pointer ppBstrppRetval),int
	stdmethod CatalogGetFinishTypeNumber(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plFinishTypePos, pointer plppRetval),int
	stdmethod CatalogGetFinishCodeAndName(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plFinishTypePos, /*[in][out]*/pointer plFinishPos, pointer ppBstrppRetval),int
	stdmethod CatalogGetLinearArticlesList(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer plLinearType, pointer ppBstrppRetval),int
	stdmethod CatalogExportArticleImage(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrCatalogFileName, /*[in][out]*/pointer ppBstrArticleRef, /*[in][out]*/pointer plHandingType, /*[in][out]*/pointer plOpened, /*[in][out]*/pointer plViewMode, /*[in][out]*/pointer ppBstrImageFileName, /*[in][out]*/pointer plXRes, /*[in][out]*/pointer plYRes, /*[in][out]*/pointer ppBstrBackGroundColor, /*[in][out]*/pointer pvbTransparent, /*[in][out]*/pointer plJPEGQuality, /*[in][out]*/pointer plAntiAliasing, pointer pvbppRetval),int
	stdmethod SetDebugMode(/*[in][out]*/pointer plDebugOn, pointer pvbppRetval),int
	stdmethod SetSessionTimeout(/*[in][out]*/pointer plMinutesNb, pointer pvbppRetval),int
	stdmethod SetRootDirectory(/*[in][out]*/pointer ppBstrRootDirectory, pointer pvbppRetval),int
	stdmethod ShowMessages(/*[in][out]*/pointer pvbShow, pointer pvbppRetval),int
	stdmethod SceneGetCounterMark(/*[in][out]*/pointer ppBstrSceneFileName, pointer ppBstrppRetval),int
	stdmethod SceneGetClientEmail(/*[in][out]*/pointer ppBstrSceneFileName, pointer ppBstrppRetval),int
	stdmethod EmailSend(/*[in][out]*/pointer ppBstrRecipientName, /*[in][out]*/pointer ppBstrRecipientAddress, /*[in][out]*/pointer ppBstrCC, /*[in][out]*/pointer ppBstrSubject, /*[in][out]*/pointer ppBstrBody, /*[in][out]*/pointer ppBstrAttachedFilesPathsList, /*[in][out]*/pointer ppBstrAttachedFilesNamesList, /*[in][out]*/pointer pvbShowDialog, pointer plppRetval),int
endinterface


' {B690775F-C8A9-4B81-ABF2-8B7E444BBFDA}
extern _CLSID_Appli as GUID ' [cancreate]
' interface _Appli

' {5DAA1897-E5EB-4C4B-842D-86CB7931D1ED}
extern _IID__Dico as GUID

interface _Dico, IDispatch ' [dispatchable][nonextensible][dual][hidden]

	stdmethod FileNew(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeyLanguageCode, pointer pvbppRetval),int
	stdmethod FileLoad(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrDicoFileName, pointer pvbppRetval),int
	stdmethod FileSave(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrDicoFileName, pointer pvbppRetval),int
	stdmethod InsertLine(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrIdent, /*[in][out]*/pointer ppBstrKeyString, pointer pvbppRetval),int
	stdmethod SetStringFromKey(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeyString, /*[in][out]*/pointer ppBstrKeyLanguageCode, /*[in][out]*/pointer ppBstrTranslatedString, pointer pvbppRetval),int
	stdmethod GetStringFromKey(/*[in][out]*/pointer plSessionId, /*[in][out]*/pointer ppBstrKeyString, /*[in][out]*/pointer ppBstrKeyLanguageCode, pointer ppBstrppRetval),int
endinterface


' {A9DC77DC-BEEA-493A-B656-BD90C3DEA760}
extern _CLSID_Dico as GUID ' [cancreate]
' interface _Dico
